Quantcast

Side by side support for 2.8.6 / 3.3.0?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Side by side support for 2.8.6 / 3.3.0?

Scott McFadden
Can two instances of RabbitMQ server be run side by side (v2.8.6 and v3.3.0) on Windows Server 2008?

thanks

scott

_______________________________________________
rabbitmq-discuss mailing list has moved to https://groups.google.com/forum/#!forum/rabbitmq-users,
please subscribe to the new list!

[hidden email]
https://lists.rabbitmq.com/cgi-bin/mailman/listinfo/rabbitmq-discuss
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Side by side support for 2.8.6 / 3.3.0?

Simon MacMullen-2
On 29/07/14 16:37, Scott McFadden wrote:
> Can two instances of RabbitMQ server be run side by side (v2.8.6 and
> v3.3.0) on Windows Server 2008?

Yes. It's a bit fiddly though.

You'll need to install at least one of the versions manually, the .exe
installer assumes there's only one installation on the machine:

http://www.rabbitmq.com/install-windows-manual.html

You'll need to set various environment variables to separate the two:

http://www.rabbitmq.com/configure.html
http://www.rabbitmq.com/relocate.html

I would think you'd need at least RABBITMQ_BASE, RABBITMQ_NODE_PORT,
RABBITMQ_NODENAME, RABBITMQ_PLUGINS_DIR and RABBITMQ_PLUGINS_EXPAND_DIR.
Also RABBITMQ_SERVICENAME if you want to install both as services.

At least 2.8.6 and 3.3.4 use different ports for the management plugin
by default, so you don't have to reconfigure that.

Cheers, Simon
_______________________________________________
rabbitmq-discuss mailing list has moved to https://groups.google.com/forum/#!forum/rabbitmq-users,
please subscribe to the new list!

[hidden email]
https://lists.rabbitmq.com/cgi-bin/mailman/listinfo/rabbitmq-discuss
Loading...